BIOSET_CREATE(9)

NAME
bioset_create - Create a bio_set

SYNOPSIS

struct bio_set * bioset_create(unsigned int pool_size, unsigned int front_pad);

ARGUMENTS

pool_size
    Number of bio and bio_vecs to cache in the mempool

front_pad
    Number of bytes to allocate in front of the returned bio

DESCRIPTION

Set up a bio_set to be used with bio_alloc_bioset. Allows the caller to ask for a number of bytes to be allocated in front of the bio. Front pad allocation is useful for embedding the bio inside another structure, to avoid allocating extra data to go with the bio. Note that the bio must be embedded at the END of that structure always, or things will break badly.

COPYRIGHT